// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "D:\\H\\lithesoft\\print2flash\\delphi\\p2fServer.exe" no_namespace
// CP2FServer wrapper class

class CP2FServer : public COleDispatchDriver
{
public:
	CP2FServer(){} // Calls COleDispatchDriver default constructor
	CP2FServer(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CP2FServer(const CP2FServer& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// IServer methods
public:
	CString get_Version()
	{
		CString result;
		InvokeHelper(0xc9, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void ConvertFile(LPCTSTR SourceFileName, LPCTSTR OutputFileName, VARIANT& Profile, VARIANT& BatchProcessingOptions, VARIANT& PrintingPreferences)
	{
		static BYTE parms[] = VTS_BSTR VTS_BSTR VTS_VARIANT VTS_VARIANT VTS_VARIANT ;
		InvokeHelper(0xcd, DISPATCH_METHOD, VT_EMPTY, NULL, parms, SourceFileName, OutputFileName, &Profile, &BatchProcessingOptions, &PrintingPreferences);
	}
	LPDISPATCH get_DefaultProfile()
	{
		LPDISPATCH result;
		InvokeHelper(0xca, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
		return result;
	}
	LPDISPATCH get_DefaultBatchProcessingOptions()
	{
		LPDISPATCH result;
		InvokeHelper(0xcb, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
		return result;
	}
	LPDISPATCH get_DefaultPrintingPreferences()
	{
		LPDISPATCH result;
		InvokeHelper(0xcc, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
		return result;
	}
	void ConvertDir(LPCTSTR SourceDirName, LPCTSTR SourceFileMask, LPCTSTR OutputDirName, VARIANT& bIncludeSubDirs, VARIANT& Profile, VARIANT& BatchProcessingOptions, VARIANT& PrintingPreferences)
	{
		static BYTE parms[] = VTS_BSTR VTS_BSTR VTS_BSTR VTS_VARIANT VTS_VARIANT VTS_VARIANT VTS_VARIANT ;
		InvokeHelper(0xce, DISPATCH_METHOD, VT_EMPTY, NULL, parms, SourceDirName, SourceFileMask, OutputDirName, &bIncludeSubDirs, &Profile, &BatchProcessingOptions, &PrintingPreferences);
	}
	long get_FilesConverted()
	{
		long result;
		InvokeHelper(0xcf, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_DirsScanned()
	{
		long result;
		InvokeHelper(0xd0, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_ErrorCount()
	{
		long result;
		InvokeHelper(0xd1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}

	// IServer properties
public:

};
